package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.print.sortshipping;

import cn.estsh.i3plus.pojo.mes.bean.shipping.MesShippingOrderManagement;
import cn.estsh.i3plus.pojo.mes.bean.shipping.MesShippingOrderManagementDetail;

import java.util.List;

/**
 * @Description : 排序发运处理接口
 **/
public interface ISortShippingDispatchStrategyService {

    default List<MesShippingOrderManagement> getShippingOrderManagementList(MesShippingOrderManagement bean) {
        return null;
    }

    default List<MesShippingOrderManagementDetail> getShippingOrderManagementDetailList(String organizeCode, List<Long> idList, Object[] obj, String[] str) {
        return null;
    }

    default void saveShippingOrderManagementList(List<MesShippingOrderManagement> pullingOrderInfos) {}

}
